Subject: bug#37957: BibTeX dialect not set if local variables disabled

From: Richard Copley <[email-masked]>
Date: Mon, 28 Oct 2019 16:33:04 +0000

On Mon, 28 Oct 2019 at 16:21, Lars Ingebrigtsen <[email-masked]> wrote:

> Richard Copley <[email-masked]> writes:
>
> > An empty file or scratch buffer, or the first BibTeX sample file you
> > can find on the web, will work fine. The contents aren't relevant.
>
> I was unable to reproduce the bug with an empty buffer, so if you could
> include one in the bug report, that would make things easier.
>

No, it would be a waste of everybody's time. Try this one liner:

emacs -Q -eval "(with-current-buffer \"*empty*\" (setq
enable-local-variables nil) (bibtex-mode)
(bibtex-parse-buffers-stealthily))"